import { ElementRef, EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { IBarcodeReaderResult } from './barcode-reader.interfaces';
export declare class BarcodeReaderComponent implements OnChanges, OnDestroy {
    type: string;
    valueChanges: EventEmitter<IBarcodeReaderResult>;
    barcodeReader: ElementRef<BarcodeReaderComponent>;
    private started;
    private configQuagga;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private _init;
    start(): Promise<void>;
    stop(): void;
    restart(): void;
    isStarted(): boolean;
    onProcessed(result: any): any;
    onDetected(result: IBarcodeReaderResult): void;
}
